Dissociate Share

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/share

A share is a private link to a dashboard. Each share has a default language and its own usage statistics. The creating user is automatically linked to the Share. Besides of sharing dashboards with users that do not have a Luzmo account, another usage is to have different usage statistics for different groups of users. In other words, you can create multiple share links for a dashboard for which the owner receives separate usage statistics.

Dissociating is similar for all resources. To break the link between two resources, simply provide the resource names and ids. Be careful that the 'role' of a resource is uppercase and usually plural. Dissociating can be done in both directions.

Request parametersResponse schema
id STRING

Unique key of the share (automatically assigned)

date DATETIME

A ISO date time string format

locale_id STRING

Locale linked to this share link. When set, users opening the dashboard via this link see it in that locale.

securable_id STRING

ID of the dashboard linked to this share. Include the Securable association to retrieve the full dashboard details.

user_id STRING

ID of the user that created this share.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be associated to:
Dashboard
Locale
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "lz6dmtgusy8lkvnr",
  "date": "2024-05-26T23:15:15.000Z",
  "created_at": "2024-02-20T19:52:34.239Z",
  "updated_at": "2024-02-20T19:59:06.112Z",
  "locale_id": null,
  "securable_id": "7d8278b3-e1ef-43d0-b459-7b9f65f5be4b",
  "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f"
}